#
# spec file for package python-yara
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-yara
Version:        3.6.1
Release:        1.4
Summary:        Python Bindings for YARA (from Virus Total)
License:        Apache-2.0
Group:          Development/Libraries/Python
Url:            https://github.com/VirusTotal/yara-python/wiki
Source:         https://github.com/VirusTotal/yara-python/archive/v%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  python-setuptools
BuildRequires:  pkgconfig(python)
BuildRequires:  pkgconfig(yara) = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
python bindings for libyara.  YARA is a tool to identify and classify malware samples.

%prep
%setup -q -n yara-python-%{version}

%build
python setup.py build --dynamic-linking

%install
python setup.py install --root=%{buildroot}
%fdupes %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%{python_sitearch}/yara_python-%{version}-py2.7.egg-info
%{python_sitearch}/yara.so

%changelog
* Tue Jun  6 2017 Greg.Freemyer@gmail.com
- update to v3.6.1
  - see yara package for changelog
* Tue Oct 11 2016 Greg.Freemyer@gmail.com
- rm   %%exclude /usr/lib/debug/    - No idea why it was present
* Fri Sep 30 2016 Greg.Freemyer@gmail.com
- yara 3.4 and before had a subpackage of python-yara in the main tarball.
-   In Yara 3.5 it was moved out into its own tarball.
-   Doing the same in OBS
